## doc-debian 1.2

=== FAQ/Makefile ===
TEX =	latex

SRCS = $(wildcard *.sgml) debian-faq.sgml

all:	html txt ps info


install:	all
	rcp tweaked/debian-faq.txt tweaked/debian-faq.info debian-faq*.html \
		debian-faq.ps \
		master.debian.org:../ftp/debian/doc/FAQ/
#	chmod a+r,ug+w /debian.org/ftp/debian/doc/*


release::
	date +'%d %B %Y' >RELEASE
	make all

clean::	
	rm -f debian-faq.{txt,ps,dvi,info,aux,log,man,tex,toc,sgml}
	rm -f *~ .*~ debian-faq*html

debian-faq.sgml:	debian-faq.in.sgml RELEASE
	sed -e "s/@@DATE@@/$(shell cat RELEASE)/g" <debian-faq.in.sgml >$@

txt::	debian-faq.txt

html::	debian-faq.html

ps::	debian-faq.ps

info::	debian-faq.info

debian-faq.tex:		$(SRCS)
	sgml2latex debian-faq.sgml

debian-faq.dvi:		debian-faq.tex
	- $(TEX) $^
	- $(TEX) $^
	$(TEX) $^

debian-faq.man: 	$(SRCS)
	sgml2txt -man debian-faq.sgml

#debian-faq.ps: debian-faq.dvi
#	dvips -o $@ $^
#	groff -Tps $^ >$@

#debian-faq.info:	$(SRCS)
#	sgml2info debian-faq.sgml

#debian-faq.txt:		$(SRCS)
#	sgml2txt debian-faq.sgml

debian-faq.html:	$(SRCS)
	sgml2html debian-faq.sgml


sdc: sdc.html sdc.ps sdc.txt sdc.info

debian-faq.ps:	$(SRCS)
	sdc -Rlinuxdoc -O ps -o debian-faq.ps debian-faq.sgml

sdc.html:	$(SRCS)
	sdc -Rlinuxdoc -O html -o debian-faq.html debian-faq.sgml

debian-faq.txt:	$(SRCS)
	sdc -Rlinuxdoc -Rno-margin -O ascii -o debian-faq.txt debian-faq.sgml

debian-faq.info:	$(SRCS)
	sdc -Rlinuxdoc -O info -o debian-faq.info debian-faq.sgml

=== debian/changelog ===
doc-debian (1.2-0) unstable; urgency=low

  * updated FAQ
  * deleted .mirror (Bug#4786)

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Wed, 23 Oct 1996 21:11:19 +0200

doc-debian (1.1-0) unstable; urgency=low

  * converted to new source package format
  * included FAQ source
  * updated FAQ

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu, 26 Sep 1996 22:09:30 +0200

Mon Aug 26 21:05:52 1996  Sven Rudolph <sr1@inf.tu-dresden.de>

	* FAQ and other files updated

Fri Jun 14 02:19:07 1996    Sven Rudolph <sr1@inf.tu-dresden.de>

	* releasing 1.0-3

	* FAQ updated

Thu Mar 14 xx:xx:xx 1996    Sven Rudolph <sr1@inf.tu-dresden.de>

	* gzipping all files

	* debian.control: added Architecture field

	* debian.control: formatted Description

Wed Feb 21 22:53:06 1996    Sven Rudolph <sr1@inf.tu-dresden.de>

	* added Debian GNU/Linux package maintenance system files

=== debian/control ===
Source: doc-debian
Section: doc
Priority: important
Maintainer: Sven Rudolph <sr1@inf.tu-dresden.de>
Standards-Version: 2.0.1.0

Package: doc-debian
Architecture: all
Recommends: info|info-browser
Description: Debian Manual, FAQ and other documents
 The doc-debian package provides the current Debian-FAQ (in
 postscript, dvi, ascii and GNU info form) and the Debian Manual 
 as well as several other bits of information about Debian.
 .
 All files are available at ftp://ftp.debian.org/debian/doc and
 mirrors thereof.

=== debian/rules ===
#!/usr/bin/make -f
# derived from Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

# atypical, no diff target, source contains no doc files

package=doc-debian
# debloc has to point to a current Debian FTP mirror
debloc=/ftp-debian/

# The next section may have to be extensively modified

build:
	@echo "Hope the mirror of debian is recent..."
	(cd FAQ; make)
	touch stamp-build

clean:
	(cd FAQ; make clean)
	-rm -rf debian/tmp *~ debian/*~
	-rm stamp-build

binary-indep:	checkroot build
	test -f stamp-build || make -i -f debian.rules build
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN 
	cp debian/{postinst,prerm} debian/tmp/DEBIAN/
	install -d debian/tmp/usr/doc/$(package)
	install -c -m 644 debian/copyright debian/tmp/usr/doc/$(package)/
	cp -a $(debloc)/doc debian/tmp/usr/doc/debian
	rm -rf debian/tmp/usr/doc/debian/FAQ
	rm -f debian/tmp/usr/doc/debian/package-developer/{policy,programmer}.{html.tar.gz,*ps.gz} debian/tmp/usr/doc/debian/{.mirror,00-INDEX}
	find debian/tmp/usr/doc/debian -type f | \
		xargs chmod 644
	find debian/tmp/usr/doc/debian -type d | \
		xargs chmod 755
	(cd debian/tmp/usr/doc/debian; rm -f .mirrorinfo mirrors.txt)
	cp $(debloc)/README.mirrors debian/tmp/usr/doc/debian/mirrors.txt
	(cd debian/tmp/usr/doc/debian/package-developer; rm -rf \
		.mirrorinfo fsstnd-1.2.lj4.gz guidelines.* \
		hello* obsolete )
#	find debian/tmp/usr/doc/debian -type f | \
#		grep -v '\.gz$$' | xargs gzip -9
	install -d debian/tmp/usr/info
	install -c -m 644 FAQ/debian-faq.info debian/tmp/usr/info
	gzip -9 debian/tmp/usr/info/debian-faq.info
	chown -R root.root debian/tmp
	chmod -R go-ws debian/tmp
	dpkg-gencontrol
	dpkg --build debian/tmp ..

binary-arch:	checkroot 
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.


define checkdir
	test -d FAQ
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## doc-debian 1.5-0

=== FAQ/Makefile ===
TEX =	latex

SRCS = $(wildcard *.sgml) debian-faq.sgml

all:	html txt ps info


install: install-ftp install-www

release::
	date +'%d %B %Y' >RELEASE
	make all

clean::	
	rm -f debian-faq.{txt,ps,dvi,info*,aux,log,man,tex,toc,sgml}
	rm -f *~ .*~ core debian-faq*html tsa*

debian-faq.sgml:	debian-faq.in.sgml RELEASE
	sed -e "s/@@DATE@@/$(shell cat RELEASE)/g" <debian-faq.in.sgml >$@

txt::	debian-faq.txt

html::	debian-faq.html

ps::	debian-faq.ps

info::	debian-faq.info

debian-faq.dvi:		debian-faq.tex
	yes ""|sgml2latex -o dvi

debian-faq.man: 	$(SRCS)
	sgml2txt -man debian-faq.sgml

debian-faq.info:	$(SRCS)
	sdc -Rlinuxdoc -O info -o debian-faq.info debian-faq.sgml
#	sgml2info debian-faq.sgml

debian-faq.txt:		$(SRCS)
	sdc -Rlinuxdoc -Rno-margin -O ascii -o debian-faq.tmp debian-faq.sgml
	cat debian-faq.tmp | sed 's/--  / -  /g' >debian-faq.txt
	rm -f debian-faq.tmp
#	sgml2txt debian-faq.sgml

debian-faq.html:	$(SRCS)
	sgml2html debian-faq.sgml

debian-faq.ps:	$(SRCS)
	yes ""|sgml2latex -o ps debian-faq.sgml

install-www:
	ssh master.debian.org \
		'cd /home/Archives/DebianWebMaster/debian.org/FAQ  && \
		 co -l debian-faq*.html'
	scp debian-faq*.html \
		master.debian.org:/home/Archives/DebianWebMaster/debian.org/FAQ
	ssh master.debian.org \
		'cd /home/Archives/DebianWebMaster/debian.org/FAQ  &&  \
		 ci -u -m. debian-faq*.html'

install-ftp:
	scp tweaked/debian-faq.txt debian-faq.info debian-faq*.html \
		debian-faq.ps \
		master.debian.org:../ftp/debian/doc/FAQ/

=== debian/changelog ===
doc-debian (1.5-0) frozen unstable; urgency=low

  * changed Priority: to standard
  * removed core file (Bug#6393, Bug#7167)
  * removed package-developer directory (now in debian-policy package)
  * FAQ updated (fixes #7521)

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu, 1 May 1997 23:06:01 +0200

doc-debian (1.4-0) stable unstable; urgency=low

  * updated FAQ (for Debian 1.2)

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Sat, 28 Dec 1996 00:06:25 +0100
  

doc-debian (1.3-0) unstable; urgency=low

  * deleted 00-INDEX (Bug#5327)
  * deleted dangling debian-faq.txt symlink (Bug#5181)
  * updated FAQ
  * reintroduced html, ascii, ps versions (Bug#5513)

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Mon, 18 Nov 1996 22:54:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: doc-debian
 Section: doc
-Priority: important
+Priority: standard
 Maintainer: Sven Rudolph <sr1@inf.tu-dresden.de>
 Standards-Version: 2.0.1.0

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 package=doc-debian
 # debloc has to point to a current Debian FTP mirror
-debloc=/ftp-debian/
+debloc=/home/ftp/pub/debian
 
 # The next section may have to be extensively modified
 
@@ -39,22 +39,22 @@
 	install -d debian/tmp/usr/doc/$(package)
 	install -c -m 644 debian/copyright debian/tmp/usr/doc/$(package)/
 	cp -a $(debloc)/doc debian/tmp/usr/doc/debian
-	rm -rf debian/tmp/usr/doc/debian/FAQ
-	rm -f debian/tmp/usr/doc/debian/package-developer/{policy,programmer}.{html.tar.gz,*ps.gz} debian/tmp/usr/doc/debian/{.mirror,00-INDEX}
+	rm -rf debian/tmp/usr/doc/debian/{FAQ,package-developer}
 	find debian/tmp/usr/doc/debian -type f | \
 		xargs chmod 644
 	find debian/tmp/usr/doc/debian -type d | \
 		xargs chmod 755
-	(cd debian/tmp/usr/doc/debian; rm -f .mirrorinfo mirrors.txt)
+	(cd debian/tmp/usr/doc/debian; rm -f .mirrorinfo mirrors.txt \
+		00-INDEX debian-faq.txt)
 	cp $(debloc)/README.mirrors debian/tmp/usr/doc/debian/mirrors.txt
-	(cd debian/tmp/usr/doc/debian/package-developer; rm -rf \
-		.mirrorinfo fsstnd-1.2.lj4.gz guidelines.* \
-		hello* obsolete )
 #	find debian/tmp/usr/doc/debian -type f | \
 #		grep -v '\.gz$$' | xargs gzip -9
+	install -d debian/tmp/usr/doc/debian/FAQ
+	cp FAQ/debian-faq{.ps,.txt,*.html} debian/tmp/usr/doc/debian/FAQ
+	gzip -9f debian/tmp/usr/doc/debian/FAQ/*.{ps,txt}
 	install -d debian/tmp/usr/info
 	install -c -m 644 FAQ/debian-faq.info debian/tmp/usr/info
-	gzip -9 debian/tmp/usr/info/debian-faq.info
+	gzip -9f debian/tmp/usr/info/debian-faq.info
 	chown -R root.root debian/tmp
 	chmod -R go-ws debian/tmp
 	dpkg-gencontrol

## doc-debian 1.8

=== FAQ/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 install: install-ftp install-www
 
 release::
-	date +'%d %B %Y' >RELEASE
+	LC_ALL=en && date +'%d %B %Y' >RELEASE
 	make all
 
 clean::

=== debian/changelog ===
doc-debian (1.8) frozen unstable; urgency=medium

  * Standarized name for the Intel architecture: 80386 -> 386.
  * Rewritten the paragraphs about "Major Package Trees".
  * New questions and answers about libc5 compatibility.
  * Updated minimal disk space requirements.

 -- Santiago Vila <sanvila@ctv.es>  Tue, 14 Apr 1998 19:32:14 +0200

doc-debian (1.7) unstable; urgency=medium

  * Removed gnuplot from the list of "major GNU applications".
  * Updated the "How-to-upgrade" part, by referring to autoup.sh,
    the libc5-libc6 mini-HOWTO, APT, pkg-order, etc. Still unfinished.
  * Added a menu entry for dwww.
  * Updated URL for Linux-PAM.
  * Fixed some sunsite dangling hyperlinks.
  * Added a question about "installing" source packages.
  * Added a question about building binary packages from source packages.
  * There are only two versions of Debian: 2.0 and the unstable version.
    (Will be true by the time hamm was released :-).
  * Version 2.0.32 of the kernel is used in all the examples.

 -- Santiago Vila <sanvila@ctv.es>  Thu,  9 Apr 1998 14:31:56 +0200

doc-debian (1.6) unstable; urgency=medium

  * Refreshed doc directory from ftp.debian.org.
    Now a text version of the Social Contract is included.
  * Added a (previously commented out) paragraph about the GNUish meaning
    of "free" with a reference to the DFSG.
  * Updated figures: 1500 packages. 300 developers.
  * Added a small paragraph about lintian in bugs.sgml (recommend this
    over submitting several bugs).
  * Removed grep and gzip from the list of needed packages to compile
    the kernel, since they are essential.
  * man-db is now the package providing the man program.
  * Updated FSF's postal address in the GPL.
  * init now executes /etc/init.d/rcS, not /etc/init.d/boot.
  * Added Pentium II to the list of supported hardware in hardware.sgml.
  * binary symlink is being deprecated.
  * We do not adhere so "strictly" to the FSSTND since we are moving
    to the FHS.
  * Commented out Unifix URL, and changed "is available" by "was available".
  * Installation instructions for the current release link points now to
    dists/stable/main/etc. so that it is always current.
  * debian-policy is now included in its own package.

 -- Santiago Vila <sanvila@ctv.es>  Wed,  8 Apr 1998 14:40:46 +0200

doc-debian (1.5.1) unstable; urgency=low

  * Refreshed doc directory from ftp.debian.org.
    In particular, the docs about the bug system have been updated.
  * Some fixes by James Treacy (dangling hyperlinks etc.).
  * Changed most gnu.org domain addresses.
  * New maintainer.

 -- Santiago Vila <sanvila@ctv.es>  Sat, 24 Jan 1998 19:10:21 +0100

doc-debian (1.5.0) unstable; urgency=low

  * Made self-consistent: local Debian mirror not required anymore.
  * Installed /usr/doc/<package>/changelog.gz
  * Removed FAQ/tweaked/* from the source.
  * Cleaned up debian/rules.
  * Non-maintainer release.

 -- Santiago Vila <sanvila@ctv.es>  Fri, 28 Nov 1997 11:20:32 +0100

=== debian/control ===
Source: doc-debian
Section: doc
Priority: standard
Maintainer: Santiago Vila <sanvila@ctv.es>
Standards-Version: 2.4.0.0

Package: doc-debian
Architecture: all
Recommends: info | info-browser
Description: Debian Manual, FAQ and other documents
 The doc-debian package provides the current Debian-FAQ (in
 postscript, dvi, text and GNU info form) and the Debian Manual
 as well as several other bits of information about Debian.
 .
 All files are available at ftp://ftp.debian.org/debian/doc and
 mirrors thereof.

=== debian/rules ===
#!/usr/bin/make -f
# derived from sample debian/rules file for GNU hello by Ian Jackson.

package = doc-debian
docdir = debian/tmp/usr/doc/debian

MIRROR = ftp://ftp.de.debian.org/pub/debian

build:
	$(checkdir)
	cd FAQ && make
	touch build

refresh:
	rm -rf doc
	install -d doc
	cd doc && wget --retr-symlinks $(MIRROR)/doc/*
	cd doc && rm -f debian-faq.txt 00-INDEX .mirrorinfo

clean:
	$(checkdir)
	cd FAQ && make clean
	-rm -rf debian/tmp *~ debian/*~
	-rm -f build debian/files

binary-indep: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)/FAQ
	cd debian/tmp && install -d usr/doc/$(package) usr/info usr/lib/menu
	cd debian && install -m 755 prerm postinst postrm tmp/DEBIAN
	cd debian && install -m 644 menu tmp/usr/lib/menu/$(package)
	cd debian && cp -p copyright changelog tmp/usr/doc/$(package)
	cp -p doc/* $(docdir)
	cp -p FAQ/debian-faq.ps $(docdir)/FAQ
	cp -p FAQ/debian-faq.txt $(docdir)/FAQ
	cp -p FAQ/debian-faq*.html $(docdir)/FAQ
	cp -p FAQ/debian-faq.info debian/tmp/usr/info
	cd $(docdir)/FAQ && gzip -9 *.ps *.txt
	gzip -9 debian/tmp/usr/doc/$(package)/changelog
	gzip -9 debian/tmp/usr/info/debian-faq.info
	chmod 644 `find debian/tmp/usr/doc -type f`
	chmod 755 `find debian/tmp/usr/doc -type d`
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg-gencontrol
	dpkg --build debian/tmp ..

binary-arch: checkroot
	$(checkdir)

define checkdir
	test -d FAQ -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## doc-debian 1.9.3

=== FAQ/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SRCS = $(wildcard *.sgml) debian-faq.sgml
 
-all:	html txt ps info
+all:	html txt ps dvi
 
 
 install: install-ftp install-www
@@ -26,27 +26,29 @@
 
 info::	debian-faq.info
 
-debian-faq.dvi:		debian-faq.tex
-	yes ""|sgml2latex -o dvi
+dvi::	debian-faq.dvi
+
+debian-faq.dvi:		debian-faq.sgml
+	sgml2latex -o dvi debian-faq.sgml
 
 debian-faq.man: 	$(SRCS)
 	sgml2txt -man debian-faq.sgml
 
 debian-faq.info:	$(SRCS)
-	sdc -Rlinuxdoc -O info -o debian-faq.info debian-faq.sgml
-#	sgml2info debian-faq.sgml
+#	sdc -Rlinuxdoc -O info -o debian-faq.info debian-faq.sgml
+	sgml2info debian-faq.sgml
 
 debian-faq.txt:		$(SRCS)
-	sdc -Rlinuxdoc -Rno-margin -O ascii -o debian-faq.tmp debian-faq.sgml
-	cat debian-faq.tmp | sed 's/--  / -  /g' >debian-faq.txt
-	rm -f debian-faq.tmp
-#	sgml2txt debian-faq.sgml
+#	sdc -Rlinuxdoc -Rno-margin -O ascii -o debian-faq.tmp debian-faq.sgml
+#	cat debian-faq.tmp | sed 's/--  / -  /g' >debian-faq.txt
+#	rm -f debian-faq.tmp
+	sgml2txt debian-faq.sgml
 
 debian-faq.html:	$(SRCS)
 	sgml2html debian-faq.sgml
 
 debian-faq.ps:	$(SRCS)
-	yes ""|sgml2latex -o ps debian-faq.sgml
+	sgml2latex -o ps debian-faq.sgml
 
 install-www:
 	ssh master.debian.org \

=== debian/changelog ===
doc-debian (1.9.3) frozen unstable; urgency=medium

  * Changed info to become a developer (Bug #30964).
    Now it simply refers to the developers-reference.
  * Refer to the appropriate web page for the list of CD-vendors.
  * Discourage the use of the cdrom dselect access method.
  * Mention the http://cdimage.debian.org/ site.
  * Refreshed doc directory from ftp.debian.org.
  * Fixed and enhanced a lot of minor things.

 -- Santiago Vila <sanvila@ctv.es>  Mon, 25 Jan 1999 20:00:47 +0100

doc-debian (1.9.2) frozen unstable; urgency=medium

  * Changed contact info for SPI.
  * Changed reference to lintian home page.
  * Changed answer to the question about "Can't find libX11.so.6".

 -- Santiago Vila <sanvila@ctv.es>  Sat, 12 Dec 1998 17:48:22 +0100

doc-debian (1.9.1) unstable; urgency=low

  * Refreshed doc directory from ftp.debian.org.
  * Switched from sdc to sgml-tools. Otherwise this package would have to
    be moved to contrib.
  * Removed the info version of the FAQ for now, since sgml2info is
    apparently unable to process it.
  * Added the .dvi version.

 -- Santiago Vila <sanvila@ctv.es>  Tue, 13 Oct 1998 20:28:49 +0200

doc-debian (1.9) unstable; urgency=low

  * Removed debian-keyring.tar.gz, since it is now in a separate package.
  * Added "set -e" to prerm, postrm and postinst. Fixes Bug #23975.
  * Refreshed doc directory from ftp.debian.org.
  * Minor fixes here and there, for example, the stable release
    is now for both i386 and m68k.
  * Rewritten the part about the Debian FTP archives. It has now
    a separate section.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 12 Aug 1998 18:33:58 +0200

=== debian/control ===
Source: doc-debian
Section: doc
Priority: standard
Maintainer: Santiago Vila <sanvila@ctv.es>
Standards-Version: 2.5.0

Package: doc-debian
Architecture: all
Description: Debian Manual, FAQ and other documents
 The doc-debian package provides the current Debian-FAQ (in
 HTML, postscript, dvi and text form)
 as well as several other bits of information about Debian.
 .
 All files are available at ftp://ftp.debian.org/debian/doc and
 mirrors thereof.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 build:
 	$(checkdir)
+	chmod +x debian/add-files
 	cd FAQ && make
 	touch build
 
@@ -15,7 +16,8 @@
 	rm -rf doc
 	install -d doc
 	cd doc && wget --retr-symlinks $(MIRROR)/doc/*
-	cd doc && rm -f debian-faq.txt 00-INDEX .mirrorinfo
+	cd doc && rm -f debian-faq.txt 00-INDEX .mirrorinfo \
+			debian-keyring.tar.gz
 
 clean:
 	$(checkdir)
@@ -27,7 +29,8 @@
 	$(checkdir)
 	-rm -rf debian/tmp
 	install -d debian/tmp/DEBIAN $(docdir)/FAQ
-	cd debian/tmp && install -d usr/doc/$(package) usr/info usr/lib/menu
+	cd debian/tmp && install -d usr/doc/$(package) usr/lib/menu
+	# cd debian/tmp && install -d usr/info
 	cd debian && install -m 755 prerm postinst postrm tmp/DEBIAN
 	cd debian && install -m 644 menu tmp/usr/lib/menu/$(package)
 	cd debian && cp -p copyright changelog tmp/usr/doc/$(package)
@@ -35,14 +38,17 @@
 	cp -p FAQ/debian-faq.ps $(docdir)/FAQ
 	cp -p FAQ/debian-faq.txt $(docdir)/FAQ
 	cp -p FAQ/debian-faq*.html $(docdir)/FAQ
-	cp -p FAQ/debian-faq.info debian/tmp/usr/info
-	cd $(docdir)/FAQ && gzip -9 *.ps *.txt
+	cp -p FAQ/debian-faq.dvi $(docdir)/FAQ
+	# cp -p FAQ/debian-faq.info debian/tmp/usr/info
+	cd $(docdir)/FAQ && gzip -9 *.ps *.txt *.dvi
 	gzip -9 debian/tmp/usr/doc/$(package)/changelog
-	gzip -9 debian/tmp/usr/info/debian-faq.info
+	# gzip -9 debian/tmp/usr/info/debian-faq.info
+	cd $(docdir)/FAQ && ln -s debian-faq.html index.html
 	chmod 644 `find debian/tmp/usr/doc -type f`
 	chmod 755 `find debian/tmp/usr/doc -type d`
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
+	debian/add-files
 	dpkg-gencontrol
 	dpkg --build debian/tmp ..

## doc-debian 2.2.2

=== FAQ/Makefile ===
#
# Makefile for the Debian FAQ
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for doc-debian package build.

SRCS = debian-faq.sgml faqstatic.ent faqdynamic.ent $(wildcard *.sgml)

# this can and will be overriden by a higher level makefile
PUBLISHDIR := ../../../public_html/manuals.html

all: html txt ps

publish: debian-faq.html/index.html
	test -d $(PUBLISHDIR)/debian-faq || install -d -m 755 $(PUBLISHDIR)/debian-faq
	rm -f $(PUBLISHDIR)/debian-faq/*.html
	install -p -m 644 debian-faq.html/*.html $(PUBLISHDIR)/debian-faq/

faqdynamic.ent:
	echo "<!entity docdate \"$(shell date +'%-d %B %Y')\">" > faqdynamic.ent
	if [ -f ../debian/changelog ]; then \
          echo "<!entity docversion \"` LC_ALL=C cd .. && dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//'`\">" >> faqdynamic.ent; \
        else \
          echo "<!entity docversion \"CVS\">" >> faqdynamic.ent; \
        fi

validate:
	nsgmls -ges -wall debian-faq.sgml

html debian-faq.html/index.html: $(SRCS)
	debiandoc2html $<

txt debian-faq.txt: $(SRCS)
	debiandoc2text $<

ps debian-faq.ps: $(SRCS)
	debiandoc2latexps $<

dvi debian-faq.dvi: $(SRCS)
	debiandoc2latexdvi $<

pdf debian-faq.pdf: $(SRCS)
	debiandoc2latexpdf $<

info debian-faq.info: $(SRCS)
	debiandoc2info $<

clean distclean:
	rm -rf debian-faq.html
	rm -f debian-faq.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,sasp*}
	rm -f faqdynamic.ent *~ .*~ core tsa*

.PHONY: all publish clean distclean validate

=== debian/changelog ===
doc-debian (2.2.2) stable unstable; urgency=low

  * Quite a few updates to the FAQ regarding potato being stable now.
    (we don't want packages in released potato saying slink is the current
    stable distribution, don't we? :)
  * Refreshed the doc/ directory from the FTP site, to include the
    dedication (with the translations) and an updated mailing-lists.txt file.
  * Fixed the section about dselect a bit, closes: #67218.
  * Added a blurb about apt-get in the section about packaging tools,
    closes: #69784.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun, 24 Sep 2000 12:13:00 +0200

doc-debian (2.2.1) frozen unstable; urgency=low

  * Several small updates to the Debian FAQ, including:
    + s/German/Italian/ in the manpages-it example, closes: #61108
    + Added description on how to put a package on hold, closes: #61109
    + Mention pine and pico replacements in pine section, closes: #64541
  * Synced doc/* files with what's on the FTP site, to remove \0s from
    the end of two files, closes: #63842.
  * Removed the directory (debian-faq.html/) from debian-faq.html.tar.gz,
    it's not quite useful.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun, 28 May 2000 14:45:12 +0200

doc-debian (2.2) frozen unstable; urgency=low

  * New maintainer (thanks, Santiago!).
  * Big update of the Debian FAQ (also closes: #57980, #59132, #60168).
  * Polished up package to my likings. Removed dvi version of the FAQ.
  * Now Suggests: www-browser, postscript-viewer, for obvious reasons.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun, 19 Mar 2000 00:51:17 +0100

doc-debian (2.1.0) frozen unstable; urgency=low

  * Create a compatibility symlink for /usr/doc/debian also (Bug #57861).
  * Fixed debian-constitution-text's "Document:" field (Bug #57861).
  * Moved doc-base location from "Help" to "Debian" (Bug #57980).
  * Remove all references to the old debian-faq mailing list (Bug #59136).
    Use doc-debian@packages.debian.org or the bug system instead.
  * Remove way outdated "list" of Debian mailing lists. Refer to the text
    version at /usr/share/doc/debian/mailing-lists.txt for now (Bug #59136).

 -- Santiago Vila <sanvila@ctv.es>  Thu,  2 Mar 2000 16:57:39 +0100
 

doc-debian (2.1) frozen unstable; urgency=low

  * Removed outdated information about the kernel-source packages (Bug #33469).
  * Removed outdated information about creating boot floppies (Bug #41771).
  * Added doc-base support (replacing dwww support). Thanks to Josip Rodin.
  * Updated figures: 3900 packages. 500 developers.
  * Minor updates here and there.
  * Standards-Version: 3.1.1.

 -- Santiago Vila <sanvila@ctv.es>  Sat,  5 Feb 2000 18:49:15 +0100
 

doc-debian (2.0.1) unstable; urgency=low

  * Refreshed doc directory from ftp.debian.org.
  * Updated figures about disk space for mirroring.

 -- Santiago Vila <sanvila@ctv.es>  Fri, 12 Nov 1999 13:14:50 +0100
 

doc-debian (2.0.0) unstable; urgency=low

  * Updated information about make-kpkg (Bug #38106).
  * Fixed minor counting issue in second chapter (Bug #39003).

 -- Santiago Vila <sanvila@ctv.es>  Wed,  7 Jul 1999 16:42:52 +0200

doc-debian (2.0) unstable; urgency=medium

  * Some updates for slink.
  * Added a paragraph about pine.
  * Changed the way debian/add-files manages the index.html file.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 14 Apr 1999 17:52:02 +0200

=== debian/control ===
Source: doc-debian
Section: doc
Priority: standard
Maintainer: Josip Rodin <jrodin@jagor.srce.hr>
Standards-Version: 3.2.1
Build-Depends: debhelper, debiandoc-sgml, tetex-bin, tetex-extra

Package: doc-debian
Architecture: all
Suggests: www-browser, postscript-viewer
Description: Debian Project documentation, Debian FAQ and other documents
 The Debian Project is an association of individuals who have made
 common cause to create a free operating system.
 .
 In this package, you will find:
   * Debian Linux Manifesto,
   * Constitution for the Debian Project,
   * Debian GNU/Linux Social Contract,
   * Debian Free Software Guidelines.
 .
 Additionally provided are:
   * Debian GNU/Linux Frequently Asked Questions (FAQ),
   * Debian Bug Tracking System documentation, and
   * Introduction to the Debian mailing lists.
 .
 All of these files are available at ftp://ftp.debian.org/debian/doc/ and
 mirrors thereof.

=== debian/rules ===
#!/usr/bin/make -f
# derived from sample debian/rules file for GNU hello by Ian Jackson.

tmp = $(shell pwd)/debian/tmp
docdir = $(tmp)/usr/share/doc/debian

build: stamp-build
stamp-build:
	test -d FAQ -a -f debian/rules
	cd FAQ && $(MAKE) html txt ps
	cd FAQ && gzip -9 debian-faq.txt debian-faq.ps
	touch $@

clean:
	test -d FAQ -a -f debian/rules
	test "`id -u`" -eq 0
	cd FAQ && $(MAKE) clean
	rm -rf $(tmp)
	rm -f FAQ/*.gz stamp-build debian/files `find . -name "*~"`

refresh:
	cd doc && wget -N -R "*keyring*" -R "*INDEX*" \
          ftp://ftp.debian.org/debian/doc/*
	chmod 644 doc/*

binary: binary-indep binary-arch

binary-arch:

binary-indep: build
	test -d FAQ -a -f debian/rules
	test "`id -u`" -eq 0
	rm -rf $(tmp)

	install -m 755 -d $(tmp)/DEBIAN $(docdir)/FAQ \
          $(tmp)/usr/share/doc-base $(tmp)/usr/share/doc/doc-debian
	cp -p doc/* $(docdir)
	cd FAQ && install -m 644 debian-faq.txt.gz debian-faq.ps.gz \
                    debian-faq.html/* $(docdir)/FAQ

	install -m 755 debian/prerm debian/postinst $(tmp)/DEBIAN
	install -m 644 doc-base/* $(tmp)/usr/share/doc-base
	install -m 644 debian/copyright $(tmp)/usr/share/doc/doc-debian
	gzip -c9 debian/changelog > $(tmp)/usr/share/doc/doc-debian/changelog.gz
	chown -R root.root $(tmp) && chmod -R go=rX $(tmp)
	dpkg-gencontrol -isp
	dpkg --build $(tmp) ..

# The extra-package files:
	cd FAQ/debian-faq.html && GZIP=-9 tar czf ../../../debian-faq.html.tar.gz *
	cp FAQ/debian-faq.txt.gz FAQ/debian-faq.ps.gz ../
	dpkg-distaddfile debian-faq.html.tar.gz byhand -
	dpkg-distaddfile debian-faq.txt.gz byhand -
	dpkg-distaddfile debian-faq.ps.gz byhand -

.PHONY: build clean binary binary-arch binary-indep

## doc-debian 3.0

=== FAQ/Makefile ===
#
# Makefile for the Debian FAQ
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for doc-debian package build.

# this can and will be overriden by a higher level makefile
PUBLISHDIR := ../../../public_html/manuals.html

sources := debian-faq.sgml faqstatic.ent faqdynamic.ent $(wildcard *.sgml)

export LANG=C
# stupid debiandoc stuff uses strings in another language otherwise

all: html text ps

publish: debian-faq.html/index.html
	test -d $(PUBLISHDIR)/debian-faq || install -d -m 755 $(PUBLISHDIR)/debian-faq
	rm -f $(PUBLISHDIR)/debian-faq/*.html
	install -p -m 644 debian-faq.html/*.html $(PUBLISHDIR)/debian-faq/

faqdynamic.ent:
	echo "<!entity docdate \"$(shell LC_ALL=C date +'%-d %B %Y')\">" > faqdynamic.ent
	if [ -f ../debian/changelog ]; then \
          echo "<!entity docversion \"` LC_ALL=C cd .. && dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//'`\">" >> faqdynamic.ent; \
        else \
          echo "<!entity docversion \"CVS\">" >> faqdynamic.ent; \
        fi

validate:
	nsgmls -ges -wall debian-faq.sgml

html: debian-faq.html/index.html
debian-faq.html/index.html: $(sources)
	debiandoc2html $<

text: debian-faq.txt
debian-faq.txt: $(sources)
	debiandoc2text $<

debian-faq.info: $(sources)
	debiandoc2info $<

debian-faq.ps debian-faq.dvi debian-faq.pdf: debian-faq.%: $(sources)
	debiandoc2latex$* $<

ps dvi pdf info: %: debian-faq.%

clean distclean:
	rm -rf debian-faq.html
	rm -f debian-faq.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,sasp*}
	rm -f faqdynamic.ent *~ .*~ core tsa*

.PHONY: all publish clean distclean validate

=== debian/changelog ===
doc-debian (3.0) unstable; urgency=critical

  * Updated for the imminent woody release.
  * Updated BTS docs from the FTP site, closes: #133422, #133440.
  * Updated description of frozen, closes: #142801.
  * Built a PDF version.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Tue, 30 Apr 2002 19:02:09 +0200

doc-debian (2.2.5) unstable; urgency=low

  * A bunch of fixes in the FAQ, including a rewritten section about Java,
    which closes: #115807.
  * Replaced Build-Depends with Build-Depends-Indep.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Wed, 31 Oct 2001 23:48:43 +0100

doc-debian (2.2.4) unstable; urgency=low

  * Updated the BTS docs from the FTP site, closes: #99721, #106495, #109293.
  * Fixed the FTP site URL(s), closes: #100471.
  * Replaced mention of tee with script, and dpkg -BORGiE with something
    less specific, closes: #110391.
  * Other small fixes in the FAQ.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Fri,  7 Sep 2001 19:38:53 +0200

doc-debian (2.2.3) unstable; urgency=medium

  * Removed info on local packages in dselect, because it works only for
    obsolete access methods; s/Packages.new/my_Packages/ and
    s/update-avail/merge-avail/ in the other answer, closes: #77096.
    Added a reference to sources.list.
  * Included fixes from Colin Watson and Bill Wohler regarding the pool and
    the testing distribution, closes: #89320.
  * Updated the answer about X resources regarding the change in their
    placement, closes: #84808.
  * Expanded the `difference' section title and added a link to our
    why_debian web page, closes: #83549.
  * Added "Why do I get "ld: cannot find -lfoo" messages when compiling
    programs?" to the other question about that, closes: #83046. ("why can't
    I compile stuff?" seemed way too generic)
  * Removed needless build-dependency on debhelper and upped the standards
    version to 3.5.2.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Fri, 24 Nov 2000 22:43:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: doc
 Priority: standard
 Maintainer: Josip Rodin <jrodin@jagor.srce.hr>
-Standards-Version: 3.2.1
-Build-Depends: debhelper, debiandoc-sgml, tetex-bin, tetex-extra
+Standards-Version: 3.5.6
+Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra
 
 Package: doc-debian
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,14 @@
 #!/usr/bin/make -f
 # derived from sample debian/rules file for GNU hello by Ian Jackson.
 
-tmp = $(shell pwd)/debian/tmp
+tmp = $(CURDIR)/debian/tmp
 docdir = $(tmp)/usr/share/doc/debian
 
 build: stamp-build
 stamp-build:
 	test -d FAQ -a -f debian/rules
-	cd FAQ && $(MAKE) html txt ps
-	cd FAQ && gzip -9 debian-faq.txt debian-faq.ps
+	cd FAQ && $(MAKE) html text ps pdf
+	cd FAQ && gzip -9 debian-faq.txt debian-faq.ps debian-faq.pdf
 	touch $@
 
 clean:
@@ -20,7 +20,7 @@
 
 refresh:
 	cd doc && wget -N -R "*keyring*" -R "*INDEX*" \
-          ftp://ftp.debian.org/debian/doc/*
+          ftp://ftp.hr.debian.org/debian/doc/*
 	chmod 644 doc/*
 
 binary: binary-indep binary-arch
@@ -36,7 +36,7 @@
           $(tmp)/usr/share/doc-base $(tmp)/usr/share/doc/doc-debian
 	cp -p doc/* $(docdir)
 	cd FAQ && install -m 644 debian-faq.txt.gz debian-faq.ps.gz \
-                    debian-faq.html/* $(docdir)/FAQ
+                    debian-faq.pdf.gz debian-faq.html/* $(docdir)/FAQ
 
 	install -m 755 debian/prerm debian/postinst $(tmp)/DEBIAN
 	install -m 644 doc-base/* $(tmp)/usr/share/doc-base
@@ -48,9 +48,10 @@
 
 # The extra-package files:
 	cd FAQ/debian-faq.html && GZIP=-9 tar czf ../../../debian-faq.html.tar.gz *
-	cp FAQ/debian-faq.txt.gz FAQ/debian-faq.ps.gz ../
+	cp FAQ/debian-faq.txt.gz FAQ/debian-faq.ps.gz FAQ/debian-faq.pdf.gz ../
 	dpkg-distaddfile debian-faq.html.tar.gz byhand -
 	dpkg-distaddfile debian-faq.txt.gz byhand -
 	dpkg-distaddfile debian-faq.ps.gz byhand -
+	dpkg-distaddfile debian-faq.pdf.gz byhand -
 
 .PHONY: build clean binary binary-arch binary-indep

## doc-debian 3.0.2

=== FAQ/Makefile ===
#
# Makefile for the Debian FAQ
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for doc-debian package build.

manual := debian-faq

currentlang := en
currentlangcn := $(shell echo $(currentlang) | tr A-Z a-z | tr - _)

# this can and will be overridden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

sources := $(manual).sgml faqstatic.ent faqdynamic.ent $(wildcard *.sgml)

export LANG=C
# stupid debiandoc stuff uses strings in another language otherwise

all: html text ps pdf

publish: all
	test -d $(PUBLISHDIR)/$(manual) || install -d -m 755 $(PUBLISHDIR)/$(manual)
	rm -f $(PUBLISHDIR)/$(manual)/*.$(currentlangcn).html
	install -p -m 644 $(manual).$(currentlang).html/*.html $(PUBLISHDIR)/$(manual)
# possible non-POSIX syntax below. fuck POSIX.
	cd $(PUBLISHDIR)/$(manual) && for file in *.en.html; do \
          ln -sf $$file $${file%$${file#$${file%.en.html}}}.html; \
        done
	install -p -m 644 $(manual)*.txt $(manual)*.ps $(manual)*.pdf $(PUBLISHDIR)/$(manual)
	ln -sf $(manual).en.txt $(PUBLISHDIR)/$(manual)/$(manual).txt
	ln -sf $(manual).en.ps $(PUBLISHDIR)/$(manual)/$(manual).ps
	ln -sf $(manual).en.pdf $(PUBLISHDIR)/$(manual)/$(manual).pdf
	@[ ! -d ru ] || $(MAKE) -C ru $@
	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@

faqdynamic.ent:
	echo "<!entity docdate \"$(shell LC_ALL=C date +'%-d %B %Y')\">" > faqdynamic.ent
	if [ -f ../debian/changelog ]; then \
          echo "<!entity docversion \"` LC_ALL=C cd .. && dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//'`\">" >> faqdynamic.ent; \
        else \
          echo "<!entity docversion \"CVS\">" >> faqdynamic.ent; \
        fi

validate:
	nsgmls -ges -wall $(manual).sgml

html: $(manual).$(currentlang).html/index.$(currentlangcn).html
	@[ ! -d ru ] || $(MAKE) -C ru $@
	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@

$(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
	rm -rf $(manual).html $(manual).$(currentlang).html
	debiandoc2html -c -l $(currentlang) $<
	mv $(manual).html $(manual).$(currentlang).html

text: $(manual).$(currentlang).txt
	@[ ! -d ru ] || $(MAKE) -C ru $@
	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@

$(manual).$(currentlang).txt: $(sources)
	debiandoc2text -l $(currentlang) $<
	mv $(manual).txt $(manual).$(currentlang).txt

$(manual).$(currentlang).info: $(sources)
	debiandoc2info -l $(currentlang) $<
# TODO: rename to .$(currentlang).info?

$(manual).$(currentlang).ps $(manual).$(currentlang).dvi $(manual).$(currentlang).pdf: \
  $(manual).$(currentlang).%: $(sources)
	debiandoc2latex$* -l $(currentlang) $<
	mv $(manual).$* $(manual).$(currentlang).$*

ps dvi pdf info: %: $(manual).$(currentlang).%
	@[ ! -d ru ] || $(MAKE) -C ru $@
	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@

clean distclean:
	rm -rf $(manual)*.$(currentlang).html
	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,out,sasp*}
	rm -f faqdynamic.ent *~ .*~ core tsa*
	@[ ! -d ru ] || $(MAKE) -C ru $@
	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@

.PHONY: all publish clean distclean validate

=== debian/changelog ===
doc-debian (3.0.2) unstable; urgency=low

  * Propagating the updates from CVS to the package.

 -- Josip Rodin <joy-packages@debian.org>  Tue, 28 Jan 2003 15:27:46 +0100

doc-debian (3.0.1) unstable; urgency=low

  * Propagating the updates from CVS to the package.
  * Mentioned apt-get build dep, closes: #103108.
  * Mentioned alien explicitely, closes: #129420.
  * Thanks to Tollef Fog Heen for a lot of proofreading and URL fixes,
    Osamu Aoki for an update to the init script system description,
    Javier F.S.P. for an update to the code names sections.
  * Normalized titles, added a link to the testing web page.
  * Refreshed the files from the FTP site.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sat, 31 Aug 2002 15:09:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: doc-debian
 Section: doc
 Priority: standard
-Maintainer: Josip Rodin <jrodin@jagor.srce.hr>
-Standards-Version: 3.5.6
+Maintainer: Josip Rodin <joy-packages@debian.org>
 Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra
+Standards-Version: 3.5.8
 
 Package: doc-debian
 Architecture: all

## doc-debian 3.1

=== FAQ/Makefile ===
--- 
+++ 
@@ -33,6 +33,8 @@
 	ln -sf $(manual).en.pdf $(PUBLISHDIR)/$(manual)/$(manual).pdf
 	@[ ! -d ru ] || $(MAKE) -C ru $@
 	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@
+	@[ ! -d it ] || $(MAKE) -C it $@
+	@[ ! -d pl ] || $(MAKE) -C pl $@
 
 faqdynamic.ent:
 	echo "<!entity docdate \"$(shell LC_ALL=C date +'%-d %B %Y')\">" > faqdynamic.ent
@@ -48,6 +50,8 @@
 html: $(manual).$(currentlang).html/index.$(currentlangcn).html
 	@[ ! -d ru ] || $(MAKE) -C ru $@
 	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@
+	@[ ! -d it ] || $(MAKE) -C it $@
+	@[ ! -d pl ] || $(MAKE) -C pl $@
 
 $(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
 	rm -rf $(manual).html $(manual).$(currentlang).html
@@ -57,6 +61,8 @@
 text: $(manual).$(currentlang).txt
 	@[ ! -d ru ] || $(MAKE) -C ru $@
 	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@
+	@[ ! -d it ] || $(MAKE) -C it $@
+	@[ ! -d pl ] || $(MAKE) -C pl $@
 
 $(manual).$(currentlang).txt: $(sources)
 	debiandoc2text -l $(currentlang) $<
@@ -74,6 +80,8 @@
 ps dvi pdf info: %: $(manual).$(currentlang).%
 	@[ ! -d ru ] || $(MAKE) -C ru $@
 	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@
+	@[ ! -d it ] || $(MAKE) -C it $@
+	@[ ! -d pl ] || $(MAKE) -C pl $@
 
 clean distclean:
 	rm -rf $(manual)*.$(currentlang).html
@@ -81,5 +89,7 @@
 	rm -f faqdynamic.ent *~ .*~ core tsa*
 	@[ ! -d ru ] || $(MAKE) -C ru $@
 	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@
+	@[ ! -d it ] || $(MAKE) -C it $@
+	@[ ! -d pl ] || $(MAKE) -C pl $@
 
 .PHONY: all publish clean distclean validate

=== debian/changelog ===
doc-debian (3.1) unstable; urgency=high

  * Update for imminent Sarge release
  * Refresh the files from the FTP site (closes: #252794, #220291)
  * Upgrade constitution.txt to 1.2 (closes: #222102)
  * Add constitution.1.0.txt, constitution.1.1.txt
  * Upgrade the social-contract to version 1.1
  * Add social-contract 1.0
  * Fix location of README for kernel-package in FAQ/kernel.sgml
    (closes: #183020)
  * Bump Standards-Version to 3.6.1 
  * Added myself as package uploader

 -- Pierre Machard <pmachard@debian.org>  Tue, 10 Aug 2004 19:05:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: doc
 Priority: standard
 Maintainer: Josip Rodin <joy-packages@debian.org>
+Uploaders: Pierre Machard <pmachard@debian.org>
 Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra
-Standards-Version: 3.5.8
+Standards-Version: 3.6.1
 
 Package: doc-debian
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# derived from sample debian/rules file for GNU hello by Ian Jackson.

tmp = $(CURDIR)/debian/tmp
docdir = $(tmp)/usr/share/doc/debian

build: stamp-build
stamp-build:
	test -d FAQ -a -f debian/rules
	cd FAQ && $(MAKE) html text ps pdf
	cd FAQ && gzip -9 debian-faq.en.txt debian-faq.en.ps debian-faq.en.pdf
	touch $@

clean:
	test -d FAQ -a -f debian/rules
	test "`id -u`" -eq 0
	cd FAQ && $(MAKE) clean
	rm -rf $(tmp)
	rm -f FAQ/*.gz stamp-build debian/files `find . -name "*~"`

refresh:
	cd doc && wget -N -R "*keyring*" -R "*dedication-2.2*" -R "*INDEX*" \
          ftp://ftp.hr.debian.org/debian/doc/*
	chmod 644 doc/*

binary: binary-indep binary-arch

binary-arch:

binary-indep: build
	test -d FAQ -a -f debian/rules
	test "`id -u`" -eq 0
	rm -rf $(tmp)

	install -m 755 -d $(tmp)/DEBIAN $(docdir)/FAQ \
          $(tmp)/usr/share/doc-base $(tmp)/usr/share/doc/doc-debian
	cp -p doc/* $(docdir)
	cd FAQ && install -m 644 debian-faq.en.txt.gz debian-faq.en.ps.gz \
                    debian-faq.en.pdf.gz debian-faq.en.html/* $(docdir)/FAQ
	cd $(docdir)/FAQ && for file in *.en.html; do \
          ln -s $$file $${file%$${file#$${file%.en.html}}}.html; \
        done
	ln -sf debian-faq.en.txt.gz $(docdir)/FAQ/debian-faq.txt.gz
	ln -sf debian-faq.en.ps.gz $(docdir)/FAQ/debian-faq.ps.gz
	ln -sf debian-faq.en.pdf.gz $(docdir)/FAQ/debian-faq.pdf.gz

	install -m 755 debian/prerm debian/postinst $(tmp)/DEBIAN
	install -m 644 doc-base/* $(tmp)/usr/share/doc-base
	install -m 644 debian/copyright $(tmp)/usr/share/doc/doc-debian
	gzip -c9 debian/changelog > $(tmp)/usr/share/doc/doc-debian/changelog.gz
	chown -R root.root $(tmp) && chmod -R go=rX $(tmp)
	dpkg-gencontrol -isp
	dpkg --build $(tmp) ..

# The extra-package files:
	mv $(docdir)/FAQ/debian-faq.*txt.gz \
           $(docdir)/FAQ/debian-faq.*ps.gz \
           $(docdir)/FAQ/debian-faq.*pdf.gz \
             ../
	cd $(docdir)/FAQ/ && GZIP=-9 tar czf $(CURDIR)/../debian-faq.en.html.tar.gz *
	dpkg-distaddfile debian-faq.en.html.tar.gz byhand -
	dpkg-distaddfile debian-faq.en.txt.gz byhand -
	dpkg-distaddfile debian-faq.en.ps.gz byhand -
	dpkg-distaddfile debian-faq.en.pdf.gz byhand -

.PHONY: build clean binary binary-arch binary-indep

## doc-debian 3.1.1

=== doc/Makefile ===


LANGUAJE = english
# Adjust this based on the location of your webml copy (if you have one)
WEBWML   = /home/jfs/debian/www/webwml/$(LANGUAJE)

FILES= \
bug-log-access.txt          bug-maint-info.txt         constitution.txt \
bug-log-mailserver.txt      bug-maint-mailcontrol.txt  \
bug-mailserver-refcard.txt  bug-reporting.txt          
# Currently disabled, need to check:
# mailing-lists.txt  social-contract.txt

all: $(FILES)

clean:
	-rm -f $(FILES) *.html 
realclean: clean
	-rm -f *.wml

%.html: %.wml
	wml -q $< >$@

%.txt: %.html
	lynx -dump -nolist $< >$@

# These rules are conditioned to the existence of $(WEBWML)
# so that the package can be built regardless of its existence
# Warning: hack
webwmlexists := $(shell ls -d $(WEBWML) 2>/dev/null)

ifneq "$(webwmlexists)" ""
bug-log-access.wml: $(WEBWML)/Bugs/Access.wml
	cat $<  |grep -v ^# >$@
bug-log-mailserver.wml: $(WEBWML)/Bugs/server-request.wml
	cat $<  |grep -v ^# >$@
bug-mailserver-refcard.wml: $(WEBWML)/Bugs/server-refcard.wml
	cat $<  |grep -v ^# >$@
bug-maint-info.wml: $(WEBWML)/Bugs/Developer.wml
	cat $<  |grep -v ^# >$@
bug-maint-mailcontrol.wml: $(WEBWML)/Bugs/server-control.wml
	cat $<  |grep -v ^# >$@
bug-reporting.wml: $(WEBWML)/Bugs/Reporting.wml
	cat $<  |grep -v ^# >$@
constitution.wml: $(WEBWML)/devel/constitution.wml
	cat $<  |grep -v ^# >$@
mailing-lists.wml:  $(WEBWML)/MailingLists/subscribe.wml
	cat $<  |grep -v ^# >$@
social-contract.wml:  $(WEBWML)/social_contract.wml
	cat $<  |grep -v ^# >$@
endif

# Not in Debian's website:
# source-unpack.txt
# debian-manifesto

=== debian/changelog ===
doc-debian (3.1.1) unstable; urgency=high

  * Real update for imminent Sarge release, urgency high since this
    content needs to be updated to be available in the official
    CDs and DVDs:
    - ftparchives.sgml: stable points to sarge instead of woody
      (Closes: #265587)
  * Use the wml files from a local www copy instead of the 'refresh'
    rule to make it easier to keep track of changes in the web pages
    No Build-Depends changes since the maintainer can simply 'make'
    the change happen if they have wml and lynx but it is not done
    automatically when built. 
    Note to maintainers: adjust the WEBWML variable in doc/Makefile
    before running 'make'
    (Closes: #303486)
  * Update the content of the files under doc/ to their latest version from the
    web site.
  * Update the content of the files under FAQ/ to their latest CVS versions:
     - faqstatic.ent: Updated info for sarge release (Closes: #304156)
     - pkg_basics.sgml: Add information about essential packages 
       (Closes #202495)
     - pkg_basics.sgml: Fix references to the packaging manual which is no
       longer available (#306493)
     - pkg_basics.sgml: Describe how aptitude can be used to hold/unhold
       packages (Closes: #309777)
     - nexxtime.sgml: Improvements to the next things for etch, not a full
       rewrite, but will do (Closes: #304130)
     - pkgtools.sgml and uptodate.sgml: The apt guide is now provided in 
       apt-doc. (Closes: #304156)
     - pkgtools.sgml: Better indication of Contents location 
       (Closes: #283033)
     - support.sgml: Added a reference to the DDP documents and also 
       added a pointer to the Debian Reference (Closes: #276625)
     - debian-faq.sgml: Reference to the authors section (Closes: #202491)
     - update.sgml: APT is 'advanced' (Closes: #241094)
     - pkg_basics.sgml:  Remove emacs from standard and add gcc/g++ as 
       well as standard server software also document what
       gets installed in a standard installation (Closes: #303987)
     - software.sgml: Complete sentence (Closes: #291790) 
     - software.sgml: Be more verbose about Java support, use patch provided
       by Jeroen van Wolffelaar (Closes: #299434)
  * Use which instead of command -v in maintainer scripts (Closes: #292972)
  * Added myself as uploader

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  3 Jun 2005 00:24:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: standard
 Maintainer: Josip Rodin <joy-packages@debian.org>
-Uploaders: Pierre Machard <pmachard@debian.org>
+Uploaders: Pierre Machard <pmachard@debian.org>, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
 Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra
 Standards-Version: 3.6.1

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,11 @@
 
 	install -m 755 -d $(tmp)/DEBIAN $(docdir)/FAQ \
           $(tmp)/usr/share/doc-base $(tmp)/usr/share/doc/doc-debian
+# Copy all the contents of doc/
 	cp -p doc/* $(docdir)
+# Save for the files that are used to auto-generate them
+	rm -f $(docdir)/*wml
+	rm -f $(docdir)/Makefile
 	cd FAQ && install -m 644 debian-faq.en.txt.gz debian-faq.en.ps.gz \
                     debian-faq.en.pdf.gz debian-faq.en.html/* $(docdir)/FAQ
 	cd $(docdir)/FAQ && for file in *.en.html; do \
